dhtmlXCombo.prototype.enableFullTextFilter = function(mode) {
	
	if (typeof(mode) == "undefined") mode = true; else mode = window.dhx4.s2b(mode);
	if (typeof(this.conf.ft_enabled) == "undefnied") this.conf.ft_enabled = false;
	
	if (this.conf.ft_enabled == mode) return;
	
	if (mode == true) {
		
		var that = this;
		
		this.enableFilteringMode(false);
		this.conf.ft_tm = null;
		this.conf.ft_text = "";
		
		this.conf.ft_ev = this.attachEvent("onKeyPressed", function(keyCode){
			if ({37:1, 38:1, 39:1, 40:1, 113:1, 13:1, 27:1}[keyCode] == 1) return;
			if (this.conf.ft_tm) window.clearTimeout(this.conf.ft_tm);
			this.conf.ft_tm = window.setTimeout(function(){that._doFullTextFilter();}, 400);
		});
		
		this._clearFullTextFilter = function() {
			that = null;
		};
		
	} else {
		
		if (this.conf.ft_tm) window.clearTimeout(this.conf.ft_tm);
		this.detachEvent(this.conf.ft_ev);
		this.conf.ft_ev = null;
		
		this._clearFullTextFilter();
		this._clearFullTextFilter = null;
		
	}
	
	this.conf.ft_enabled = mode;
	
};

dhtmlXCombo.prototype._doFullTextFilter = function() {
	
	var newText = this.getComboText();
	
	if (this.conf.ft_text != newText) {
		this.conf.ft_text = newText;
		this.filter(function(option){
			var r = false;
			for (var a in option.text) r = r || (option.text[a].match(new RegExp(newText,"i")) != null);
			return r;
		});
		this._showList(true);
	}
};
